diff --git a/tests/test_manager.py b/tests/test_manager.py
index dc4db09..8620c34 100644
--- a/tests/test_manager.py
+++ b/tests/test_manager.py
@@ -1,27 +1,27 @@
 # -*- coding: utf-8 -*-
 
 from __future__ import unicode_literals
+
 import copy
+import datetime
 import json
 
-from django.contrib.auth.models import User, Group
-from django.utils.encoding import force_text
-from django.utils.timezone import make_aware, now, localtime
-import datetime
 import freezegun
 import mock
 import pytest
 import requests
+from django.contrib.auth.models import Group, User
+from django.utils.encoding import force_text
+from django.utils.timezone import localtime, make_aware, now
 from webtest import Upload
 
-from chrono.wsgi import application
-
-from chrono.agendas.models import (Agenda, Event, Booking, MeetingType,
-                                   TimePeriod, Desk, TimePeriodException)
+from chrono.agendas.models import Agenda, Booking, Desk, Event, MeetingType, TimePeriod, TimePeriodException
 from chrono.manager.utils import export_site
+from chrono.wsgi import application
 
 pytestmark = pytest.mark.django_db
 
+
 @pytest.fixture
 def simple_user():
     try:
@@ -30,6 +30,7 @@ def simple_user():
         user = User.objects.create_user('user', password='user')
     return user
 
+
 @pytest.fixture
 def manager_user():
     try:
@@ -42,6 +43,7 @@ def manager_user():
     user.groups.set([group])
     return user
 
+
 @pytest.fixture
 def admin_user():
     try:
@@ -50,17 +52,20 @@ def admin_user():
         user = User.objects.create_superuser('admin', email=None, password='admin')
     return user
 
+
 @pytest.fixture
 def api_user():
     try:
         user = User.objects.get(username='api-user')
     except User.DoesNotExist:
-        user = User.objects.create(username='john.doe',
-                first_name=u'John', last_name=u'Doe', email='john.doe@example.net')
+        user = User.objects.create(
+            username='john.doe', first_name=u'John', last_name=u'Doe', email='john.doe@example.net'
+        )
         user.set_password('password')
         user.save()
     return user
 
+
 def login(app, username='admin', password='admin'):
     login_page = app.get('/login/')
     login_form = login_page.forms[0]
@@ -70,15 +75,18 @@ def login(app, username='admin', password='admin'):
     assert resp.status_int == 302
     return app
 
+
 def test_unlogged_access(app):
     # connect while not being logged in
     assert app.get('/manage/', status=302).location.endswith('/login/?next=/manage/')
 
+
 def test_simple_user_access(app, simple_user):
     # connect while being logged as a simple user, access should be forbidden
     app = login(app, username='user', password='user')
     assert app.get('/manage/', status=403)
 
+
 def test_manager_user_access(app, manager_user):
     # connect while being logged as a manager user, access should be granted if
     # there's at least an agenda that is viewable or editable.
@@ -99,20 +107,24 @@ def test_manager_user_access(app, manager_user):
     agenda.save()
     assert app.get('/manage/', status=200)
 
+
 def test_home_redirect(app):
     assert app.get('/', status=302).location.endswith('/manage/')
 
+
 def test_access(app, admin_user):
     app = login(app)
     resp = app.get('/manage/', status=200)
     assert '<h2>Agendas</h2>' in resp.text
     assert "This site doesn't have any agenda yet." in resp.text
 
+
 def test_logout(app, admin_user):
     app = login(app)
     app.get('/logout/')
     assert app.get('/manage/', status=302).location.endswith('/login/?next=/manage/')
 
+
 def test_menu_json(app, admin_user):
     app = login(app)
     resp = app.get('/manage/menu.json', status=200)
@@ -123,6 +135,7 @@ def test_menu_json(app, admin_user):
     assert resp2.text == 'Q(%s);' % resp.text
     assert resp2.content_type == 'application/javascript'
 
+
 def test_view_agendas_as_manager(app, manager_user):
     agenda = Agenda(label=u'Foo Bar')
     agenda.view_role = manager_user.groups.all()[0]
@@ -156,6 +169,7 @@ def test_view_agendas_as_manager(app, manager_user):
     # check it gives a 404 on unknown agendas
     resp = app.get('/manage/agendas/%s/settings' % '9999', status=404)
 
+
 def test_add_agenda(app, admin_user):
     app = login(app)
     resp = app.get('/manage/', status=200)
@@ -169,6 +183,7 @@ def test_add_agenda(app, admin_user):
     assert 'Foo bar' in resp.text
     assert '<h2>Settings' in resp.text
 
+
 def test_add_agenda_as_manager(app, manager_user):
     # open /manage/ access to manager_user, and check agenda creation is not
     # allowed.
@@ -179,6 +194,7 @@ def test_add_agenda_as_manager(app, manager_user):
     resp = app.get('/manage/', status=200)
     resp = app.get('/manage/agendas/add/', status=403)
 
+
 def test_options_agenda(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
@@ -194,6 +210,7 @@ def test_options_agenda(app, admin_user):
     assert 'Foo baz' in resp.text
     assert '<h2>Settings' in resp.text
 
+
 def test_options_agenda_as_manager(app, manager_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.view_role = manager_user.groups.all()[0]
@@ -227,6 +244,7 @@ def test_options_agenda_as_manager(app, manager_user):
     assert 'Foo baz' in resp.text
     assert '<h2>Settings' in resp.text
 
+
 def test_delete_agenda(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
@@ -239,11 +257,11 @@ def test_delete_agenda(app, admin_user):
     resp = resp.follow()
     assert not 'Foo bar' in resp.text
 
+
 def test_delete_busy_agenda(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
-    event = Event(start_datetime=now() + datetime.timedelta(days=10),
-                  places=10, agenda=agenda)
+    event = Event(start_datetime=now() + datetime.timedelta(days=10), places=10, agenda=agenda)
     event.save()
 
     app = login(app)
@@ -272,6 +290,7 @@ def test_delete_busy_agenda(app, admin_user):
     booking.save()
     resp = resp.form.submit(status=403)
 
+
 def test_delete_agenda_as_manager(app, manager_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.edit_role = manager_user.groups.all()[0]
@@ -290,8 +309,7 @@ def test_delete_busy_desk(app, admin_user):
     desk_a = Desk.objects.create(agenda=agenda, label='Desk A')
     desk_b = Desk.objects.create(agenda=agenda, label='Desk B')
 
-    event = Event(start_datetime=now() + datetime.timedelta(days=10),
-                  places=10, agenda=agenda, desk=desk_a)
+    event = Event(start_datetime=now() + datetime.timedelta(days=10), places=10, agenda=agenda, desk=desk_a)
     event.save()
 
     app = login(app)
@@ -354,6 +372,7 @@ def test_add_event_on_missing_agenda(app, admin_user):
     app = login(app)
     app.get('/manage/agendas/%s/add-event' % '999', status=404)
 
+
 def test_add_event_as_manager(app, manager_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.view_role = manager_user.groups.all()[0]
@@ -378,12 +397,11 @@ def test_add_event_as_manager(app, manager_user):
     assert 'Feb. 15, 2016, 5 p.m.' in resp.text
     assert '10 places' in resp.text
 
+
 def test_edit_event(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
-    event = Event(
-            start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)),
-            places=20, agenda=agenda)
+    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=20, agenda=agenda)
     event.save()
     app = login(app)
     resp = app.get('/manage/agendas/%s/settings' % agenda.id, status=200)
@@ -397,16 +415,17 @@ def test_edit_event(app, admin_user):
     assert 'Feb. 16, 2016, 5 p.m.' in resp.text
     assert '20 places' in resp.text
 
+
 def test_edit_missing_event(app, admin_user):
     app = login(app)
     app.get('/manage/agendas/999/', status=404)
 
+
 def test_edit_event_as_manager(app, manager_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.view_role = manager_user.groups.all()[0]
     agenda.save()
-    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)),
-                  places=20, agenda=agenda)
+    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=20, agenda=agenda)
     event.save()
     app = login(app, username='manager', password='manager')
     resp = app.get('/manage/events/%s/' % event.id, status=403)
@@ -424,11 +443,11 @@ def test_edit_event_as_manager(app, manager_user):
     assert 'Feb. 16, 2016, 5 p.m.' in resp.text
     assert '20 places' in resp.text
 
+
 def test_booked_places(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
-    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)),
-                  places=10, agenda=agenda)
+    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=10, agenda=agenda)
     event.save()
     Booking(event=event).save()
     Booking(event=event).save()
@@ -437,11 +456,11 @@ def test_booked_places(app, admin_user):
     assert '10 places' in resp.text
     assert '2 booked places' in resp.text
 
+
 def test_event_classes(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
-    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)),
-                  places=10, agenda=agenda)
+    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=10, agenda=agenda)
     event.save()
     for i in range(2):
         Booking(event=event).save()
@@ -463,11 +482,11 @@ def test_event_classes(app, admin_user):
     assert 'full' in resp.text
     assert 'overbooking' in resp.text
 
+
 def test_delete_event(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
-    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)),
-                  places=10, agenda=agenda)
+    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=10, agenda=agenda)
     event.save()
 
     app = login(app)
@@ -478,11 +497,11 @@ def test_delete_event(app, admin_user):
     assert resp.location.endswith('/manage/agendas/%s/settings' % agenda.id)
     assert Event.objects.count() == 0
 
+
 def test_delete_busy_event(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
-    event = Event(start_datetime=now() + datetime.timedelta(days=10),
-                  places=10, agenda=agenda)
+    event = Event(start_datetime=now() + datetime.timedelta(days=10), places=10, agenda=agenda)
     event.save()
 
     app = login(app)
@@ -511,12 +530,12 @@ def test_delete_busy_event(app, admin_user):
     booking.save()
     resp = resp.form.submit(status=403)
 
+
 def test_delete_event_as_manager(app, manager_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.edit_role = manager_user.groups.all()[0]
     agenda.save()
-    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)),
-                  places=10, agenda=agenda)
+    event = Event(start_datetime=make_aware(datetime.datetime(2016, 2, 15, 17, 0)), places=10, agenda=agenda)
     event.save()
 
     app = login(app, username='manager', password='manager')
@@ -527,6 +546,7 @@ def test_delete_event_as_manager(app, manager_user):
     assert resp.location.endswith('/manage/agendas/%s/settings' % agenda.id)
     assert Event.objects.count() == 0
 
+
 def test_import_events(app, admin_user):
     agenda = Agenda(label=u'Foo bar')
     agenda.save()
@@ -590,8 +610,9 @@ def test_import_events(app, admin_user):
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
-    resp.form['events_csv_file'] = Upload('t.csv',
-            u'2016-09-16,18:00,10,5,éléphant'.encode('utf-8'), 'text/csv')
+    resp.form['events_csv_file'] = Upload(
+        't.csv', u'2016-09-16,18:00,10,5,éléphant'.encode('utf-8'), 'text/csv'
+    )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 1
     assert Event.objects.all()[0].start_datetime == make_aware(datetime.datetime(2016, 9, 16, 18, 0))
@@ -601,8 +622,9 @@ def test_import_events(app, admin_user):
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
-    resp.form['events_csv_file'] = Upload('t.csv',
-            u'2016-09-16,18:00,10,5,éléphant'.encode('iso-8859-15'), 'text/csv')
+    resp.form['events_csv_file'] = Upload(
+        't.csv', u'2016-09-16,18:00,10,5,éléphant'.encode('iso-8859-15'), 'text/csv'
+    )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 1
     assert Event.objects.all()[0].start_datetime == make_aware(datetime.datetime(2016, 9, 16, 18, 0))
@@ -612,8 +634,9 @@ def test_import_events(app, admin_user):
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
-    resp.form['events_csv_file'] = Upload('t.csv',
-            u'2016-09-16,18:00,10,5,éléphant'.encode('eucjp'), 'text/csv')
+    resp.form['events_csv_file'] = Upload(
+        't.csv', u'2016-09-16,18:00,10,5,éléphant'.encode('eucjp'), 'text/csv'
+    )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 1
     assert Event.objects.all()[0].start_datetime == make_aware(datetime.datetime(2016, 9, 16, 18, 0))
@@ -623,18 +646,23 @@ def test_import_events(app, admin_user):
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
-    resp.form['events_csv_file'] = Upload('t.csv', b'date,time,etc.\n'
-                                                   b'2016-09-16,18:00,10,5,bla bla bla\n'
-                                                   b'\n'
-                                                   b'2016-09-19,18:00,10', 'text/csv')
+    resp.form['events_csv_file'] = Upload(
+        't.csv',
+        b'date,time,etc.\n' b'2016-09-16,18:00,10,5,bla bla bla\n' b'\n' b'2016-09-19,18:00,10',
+        'text/csv',
+    )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 2
     Event.objects.all().delete()
 
     resp = app.get('/manage/agendas/%s/import-events' % agenda.id, status=200)
-    resp.form['events_csv_file'] = Upload('t.csv', '"date"\t"time"\t"etc."\n'
-                                                   '"2016-09-16"\t"18:00"\t"10"\t"5"\t"éléphant"\n'
-                                                   '"2016-09-19"\t"18:00"\t"10"'.encode('iso-8859-15'), 'text/csv')
+    resp.form['events_csv_file'] = Upload(
+        't.csv',
+        '"date"\t"time"\t"etc."\n'
+        '"2016-09-16"\t"18:00"\t"10"\t"5"\t"éléphant"\n'
+        '"2016-09-19"\t"18:00"\t"10"'.encode('iso-8859-15'),
+        'text/csv',
+    )
     resp = resp.form.submit(status=302)
     assert Event.objects.count() == 2
     Event.objects.all().delete()
@@ -671,6 +699,7 @@ def test_add_meetings_agenda(app, admin_user):
     agenda = Agenda.objects.get(label='Foo bar')
     assert agenda.kind == 'meetings'
 
+
 def test_meetings_agenda_add_meeting_type(app, admin_user):
     agenda = Agenda(label=u'Foo bar', kind='meetings')
     agenda.save()
@@ -693,6 +722,7 @@ def test_meetings_agenda_add_meeting_type(app, admin_user):
     resp = resp.form.submit()
     assert MeetingType.objects.get(agenda=agenda).duration == 30
 
+
 def test_meetings_agenda_delete_meeting_type(app, admin_user):
     agenda = Agenda(label=u'Foo bar', kind='meetings')
     agenda.save()
@@ -709,6 +739,7 @@ def test_meetings_agenda_delete_meeting_type(app, admin_user):
     assert resp.location.endswith('/manage/agendas/%s/settings' % agenda.id)
     assert MeetingType.objects.count() == 0
 
+
 def test_meetings_agenda_add_time_period(app, admin_user):
     agenda = Agenda(label=u'Foo bar', kind='meetings')
     agenda.save()
@@ -771,6 +802,7 @@ def test_meetings_agenda_add_time_period(app, admin_user):
     resp = resp.form.submit()
     assert TimePeriod.objects.filter(desk=desk).count() == 4
 
+
 def test_meetings_agenda_delete_time_period(app, admin_user):
     agenda = Agenda(label=u'Foo bar', kind='meetings')
     agenda.save()
@@ -778,9 +810,9 @@ def test_meetings_agenda_delete_time_period(app, admin_user):
     MeetingType(agenda=agenda, label='Blah').save()
 
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
-    time_period = TimePeriod(desk=desk, weekday=2,
-            start_time=datetime.time(10, 0),
-            end_time=datetime.time(18, 0))
+    time_period = TimePeriod(
+        desk=desk, weekday=2, start_time=datetime.time(10, 0), end_time=datetime.time(18, 0)
+    )
     time_period.save()
 
     app = login(app)
@@ -811,8 +843,9 @@ def test_meetings_agenda_add_time_period_as_manager(app, manager_user):
     resp = app.get('/manage/agendas/%d/settings' % agenda.id, status=403)
     MeetingType(agenda=agenda, label='Blah').save()
     app.get('/manage/agendas/%d/desk/%d/add-time-period' % (agenda.id, desk.id), status=403)
-    time_period = TimePeriod(desk=desk, weekday=0, start_time=datetime.time(9, 0),
-                             end_time=datetime.time(12, 0))
+    time_period = TimePeriod(
+        desk=desk, weekday=0, start_time=datetime.time(9, 0), end_time=datetime.time(12, 0)
+    )
     time_period.save()
     resp = app.get('/manage/agendas/%d/' % agenda.id)
     app.get('/manage/timeperiods/%d/edit' % time_period.id, status=403)
@@ -915,8 +948,12 @@ def test_meetings_agenda_add_time_period_exception(app, admin_user):
     resp = resp.form.submit().follow()
     assert TimePeriodException.objects.count() == 1
     time_period_exception = TimePeriodException.objects.first()
-    assert localtime(time_period_exception.start_datetime).strftime(dt_format) == tomorrow.replace(hour=8).strftime(dt_format)
-    assert localtime(time_period_exception.end_datetime).strftime(dt_format) == tomorrow.replace(hour=16).strftime(dt_format)
+    assert localtime(time_period_exception.start_datetime).strftime(dt_format) == tomorrow.replace(
+        hour=8
+    ).strftime(dt_format)
+    assert localtime(time_period_exception.end_datetime).strftime(dt_format) == tomorrow.replace(
+        hour=16
+    ).strftime(dt_format)
     # add an exception beyond 2 weeks and make sure it isn't listed
     resp = resp.click('Add a time period exception', index=1)
     future = tomorrow + datetime.timedelta(days=15)
@@ -927,7 +964,9 @@ def test_meetings_agenda_add_time_period_exception(app, admin_user):
     assert TimePeriodException.objects.count() == 2
     assert 'Exception 1' in resp.text
     assert 'Exception 2' not in resp.text
-    resp = resp.click(href="/manage/time-period-exceptions/%d/exception-extract-list" % agenda.desk_set.first().pk)
+    resp = resp.click(
+        href="/manage/time-period-exceptions/%d/exception-extract-list" % agenda.desk_set.first().pk
+    )
     assert 'Exception 1' in resp.text
     assert 'Exception 2' in resp.text
 
@@ -936,16 +975,18 @@ def test_meetings_agenda_add_time_period_exception_when_booking_exists(app, admi
     agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     MeetingType(agenda=agenda, label='Blah').save()
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                              start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
-    event = Event.objects.create(agenda=agenda, places=1, desk=desk,
-                                 start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 30)))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
+    event = Event.objects.create(
+        agenda=agenda, places=1, desk=desk, start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 30))
+    )
     Booking.objects.create(event=event)
     login(app)
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
     resp = resp.click('Add a time period exception')
-    resp = resp.form.submit() # submit empty form
+    resp = resp.form.submit()  # submit empty form
     # fields should be marked with errors
     assert resp.text.count('This field is required.') == 2
     # try again with data in fields
@@ -957,8 +998,9 @@ def test_meetings_agenda_add_time_period_exception_when_booking_exists(app, admi
 
     # check it's possible to add an exception on another desk
     desk = Desk.objects.create(agenda=agenda, label='Desk B')
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                              start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
     resp = resp.click('Add a time period exception', href='desk/%s/' % desk.id)
@@ -967,16 +1009,20 @@ def test_meetings_agenda_add_time_period_exception_when_booking_exists(app, admi
     resp = resp.form.submit()
     assert TimePeriodException.objects.count() == 1
 
+
 def test_meetings_agenda_add_time_period_exception_when_cancelled_booking_exists(app, admin_user):
     agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     MeetingType(agenda=agenda, label='Blah').save()
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                              start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
-    event = Event.objects.create(agenda=agenda, places=1,
-                                 start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 30)))
-    Booking.objects.create(event=event,
-            cancellation_datetime=make_aware(datetime.datetime(2017, 5, 20, 10, 30)))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
+    event = Event.objects.create(
+        agenda=agenda, places=1, start_datetime=make_aware(datetime.datetime(2017, 5, 22, 10, 30))
+    )
+    Booking.objects.create(
+        event=event, cancellation_datetime=make_aware(datetime.datetime(2017, 5, 20, 10, 30))
+    )
     login(app)
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -987,12 +1033,14 @@ def test_meetings_agenda_add_time_period_exception_when_cancelled_booking_exists
     assert 'One or several bookings exists within this time slot.' not in resp.text
     assert TimePeriodException.objects.count() == 1
 
+
 def test_meetings_agenda_add_invalid_time_period_exception(app, admin_user):
     agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     MeetingType(agenda=agenda, label='Blah').save()
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                              start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
     login(app)
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1007,8 +1055,9 @@ def test_meetings_agenda_delete_time_period_exception(app, admin_user):
     agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     MeetingType(agenda=agenda, label='Blah').save()
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                              start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
     login(app)
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1022,8 +1071,12 @@ def test_meetings_agenda_delete_time_period_exception(app, admin_user):
     resp = resp.form.submit().follow()
     assert TimePeriodException.objects.count() == 1
     time_period_exception = TimePeriodException.objects.first()
-    assert localtime(time_period_exception.start_datetime).strftime(dt_format) == tomorrow.replace(hour=8).strftime(dt_format)
-    assert localtime(time_period_exception.end_datetime).strftime(dt_format) == tomorrow.replace(hour=16).strftime(dt_format)
+    assert localtime(time_period_exception.start_datetime).strftime(dt_format) == tomorrow.replace(
+        hour=8
+    ).strftime(dt_format)
+    assert localtime(time_period_exception.end_datetime).strftime(dt_format) == tomorrow.replace(
+        hour=16
+    ).strftime(dt_format)
     resp = resp.click(href='/manage/time-period-exceptions/%d/edit' % time_period_exception.id)
     resp = resp.click('Delete')
     resp = resp.form.submit().follow()
@@ -1035,7 +1088,8 @@ def test_meetings_agenda_delete_time_period_exception(app, admin_user):
         label='Future Exception',
         desk=desk,
         start_datetime=now() + datetime.timedelta(days=1),
-        end_datetime=now() + datetime.timedelta(days=2))
+        end_datetime=now() + datetime.timedelta(days=2),
+    )
     resp = app.get('/manage/time-period-exceptions/%d/exception-list' % desk.pk)
     resp = resp.click(href='/manage/time-period-exceptions/%d/delete' % time_period_exception.pk)
     resp = resp.form.submit(
@@ -1048,23 +1102,27 @@ def test_exception_list(app, admin_user):
     agenda = Agenda.objects.create(label='Foo bar', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Desk A')
     MeetingType(agenda=agenda, label='Blah').save()
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                              start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
     past_exception = TimePeriodException.objects.create(
         label='Past Exception',
         desk=desk,
         start_datetime=now() - datetime.timedelta(days=2),
-        end_datetime=now() - datetime.timedelta(days=1))
+        end_datetime=now() - datetime.timedelta(days=1),
+    )
     current_exception = TimePeriodException.objects.create(
         label='Current Exception',
         desk=desk,
         start_datetime=now() - datetime.timedelta(days=1),
-        end_datetime=now() + datetime.timedelta(days=1))
+        end_datetime=now() + datetime.timedelta(days=1),
+    )
     future_exception = TimePeriodException.objects.create(
         label='Future Exception',
         desk=desk,
         start_datetime=now() + datetime.timedelta(days=1),
-        end_datetime=now() + datetime.timedelta(days=2))
+        end_datetime=now() + datetime.timedelta(days=2),
+    )
 
     login(app)
     resp = app.get('/manage/agendas/%d/settings' % agenda.pk)
@@ -1092,8 +1150,9 @@ def test_agenda_import_time_period_exception_from_ics(app, admin_user):
     resp = resp.click('Settings')
     assert 'Import exceptions from .ics' not in resp.text
 
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
 
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1150,9 +1209,9 @@ def test_agenda_import_time_period_exception_from_ics_recurrent(app, admin_user)
     agenda = Agenda.objects.create(label='Example', kind='meetings')
     desk = Desk.objects.create(agenda=agenda, label='Test Desk')
     MeetingType(agenda=agenda, label='Foo').save()
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                              start_time=datetime.time(10, 0),
-                              end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
     login(app)
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1182,8 +1241,9 @@ def test_agenda_import_time_period_exception_with_remote_ics(mocked_get, app, ad
     resp = resp.click('Settings')
     assert 'Import exceptions from .ics' not in resp.text
 
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
 
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
@@ -1193,7 +1253,7 @@ def test_agenda_import_time_period_exception_with_remote_ics(mocked_get, app, ad
     assert 'ics_url' in resp.form.fields
     resp.form['ics_url'] = 'http://example.com/foo.ics'
     mocked_response = mock.Mock()
-    mocked_response.text =  """BEGIN:VCALENDAR
+    mocked_response.text = """BEGIN:VCALENDAR
 VERSION:2.0
 PRODID:-//foo.bar//EN
 BEGIN:VEVENT
@@ -1213,8 +1273,10 @@ END:VCALENDAR"""
     resp = resp.click('upload')
     resp.form['ics_url'] = ''
     resp = resp.form.submit(status=302)
-    assert not TimePeriodException.objects.filter(desk=desk,
-                    external_id='desk-%s:random-event-id' % desk.id).exists()
+    assert not TimePeriodException.objects.filter(
+        desk=desk, external_id='desk-%s:random-event-id' % desk.id
+    ).exists()
+
 
 @mock.patch('chrono.agendas.models.requests.get')
 def test_agenda_import_time_period_exception_with_remote_ics_no_events(mocked_get, app, admin_user):
@@ -1226,15 +1288,16 @@ def test_agenda_import_time_period_exception_with_remote_ics_no_events(mocked_ge
     resp = resp.click('Settings')
     assert 'Import exceptions from .ics' not in resp.text
 
-    TimePeriod.objects.create(weekday=1, desk=desk,
-                start_time=datetime.time(10, 0), end_time=datetime.time(12, 0))
+    TimePeriod.objects.create(
+        weekday=1, desk=desk, start_time=datetime.time(10, 0), end_time=datetime.time(12, 0)
+    )
 
     resp = app.get('/manage/agendas/%d/' % agenda.pk).follow()
     resp = resp.click('Settings')
     resp = resp.click('upload')
     resp.form['ics_url'] = 'http://example.com/foo.ics'
     mocked_response = mock.Mock()
-    mocked_response.text =  """BEGIN:VCALENDAR
+    mocked_response.text = """BEGIN:VCALENDAR
 VERSION:2.0
 PRODID:-//foo.bar//EN
 BEGIN:VEVENT
@@ -1257,8 +1320,7 @@ END:VCALENDAR"""
     resp = resp.click('Settings')
     resp = resp.click('upload')
     resp = resp.form.submit(status=302)
-    assert not TimePeriodException.objects.filter(desk=desk,
-                    external_id='random-event-id').exists()
+    assert not TimePeriodException.objects.filter(desk=desk, external_id='random-event-id').exists()
 
 
 @mock.patch('chrono.agendas.models.requests.get')
